
/**
* @name: DynamicReportStatus.java
*
* @Copyright: (c) 2016 Smarter City (Dalian) Technology Co., Ltd. All rights reserved. 
*
* @description: 
*
* @version: 1.0
* @date : 2016年11月2日 
* @author: Jarod 
*
* @Modification  History:<br>
*  Date          Author         Version        Discription
*  2016年11月2日       Jarod        1.0             <修改原因描述>
*/
package com.yh.saas.plugin.news.enums;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;


/**
 * 动态报异常通知枚举
 */
public enum NewsExceptionEnums {

	NEWS_0001("NEWS_0001","您输入的字符串非法！"),
	NEWS_0002("NEWS_0002","您输入的id非法！"),
	NEWS_0003("NEWS_0003","您输入的名称重复！");


	@Getter
	@Setter
	private String code;

	@Getter
	@Setter
	private String value;


	private static final Map<String,NewsExceptionEnums> CODE_MAP = new HashMap<>();

	static {
		for(NewsExceptionEnums newsExceptionEnums : values()) {
			CODE_MAP.put(newsExceptionEnums.getCode(),newsExceptionEnums);
		}
	}

	NewsExceptionEnums(String code, String value) {
		this.code = code;
		this.value=value;
	}
	
	
	public static NewsExceptionEnums fromCode(String code) {
		return CODE_MAP.get(code);
	}


}
